
import java.io.*;


public class bsp_and_or4 {

   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

  private static int readStatus(){
    return 9;
  }

	public static void main(String[] args) {
   System.out.println(
   "setzen vom 1. 4. und 5. Bit");
   int a;
   a=readStatus();
   int k= a & 50;
   if (k==50)
     System.out.println("1. 4. 5. Bit gesetzt");
   else
     System.out.println("Mindestens ein Bit von 1. 4. 5. ist nicht gesetzt");

   a = a | 50;
   // test, ob 3. Bit gesetzt
   k= a & 50;
   if (k==50)
     System.out.println("1. 4. 5. Bit gesetzt");
   else
     System.out.println("Mindestens ein Bit von 1. 4. 5. ist nicht gesetzt");

    pause();
  } // main


}

